package fishrungames.bashgid.core.db;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import android.util.Log;

public class BashgidSqliteHelper extends SQLiteOpenHelper
{

	  public static final String TABLE_NEWS = "table_news";
	  public static final String COLUMN_ID = "_id";
	  public static final String COLUMN_TITLE = "title";
	  public static final String COLUMN_DESCRIPTION = "description";
	  public static final String COLUMN_IMAGE_ID = "imageId";


	  private static final String DATABASE_NAME = "bashgid.db";
	  private static final int DATABASE_VERSION = 1;

	  // Database creation sql statement
	  private static final String DATABASE_CREATE = "create table "
	      + TABLE_NEWS +
	      "(" + COLUMN_ID + " integer primary key autoincrement" + 
	      ", " + COLUMN_TITLE + " text not null" +
	      ", " + COLUMN_DESCRIPTION + " text not null" +
	      ", " + COLUMN_IMAGE_ID + " text not null" +
	      ");";

	  public BashgidSqliteHelper(Context context) {
	    super(context, DATABASE_NAME, null, DATABASE_VERSION);
	  }

	  @Override
	  public void onCreate(SQLiteDatabase database) {
	    database.execSQL(DATABASE_CREATE);
	  }

	  @Override
	  public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
	    
		  Log.w(BashgidSqliteHelper.class.getName(),
	        "Upgrading database from version " + oldVersion + " to "
	            + newVersion + ", which will destroy all old data");
	    db.execSQL("DROP TABLE IF EXISTS " + TABLE_NEWS);
	    onCreate(db);
	  }


}
